## eole-saltstack 2.10.0-9

=== debian/changelog ===
eole-saltstack (2.10.0-9) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [729de53] desactive salt-* au reconfigure (ref #36547)
  * [2a54cb1] Merge branch '2.8.1/master' into 2.9.0/master
  * [cd00b28] Merge branch '2.9.0/master'
  * [dd6f971] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [95d0bf1] Emmanuel Garette: Update package since “debian/eole/2.10.0-8”

 -- Emmanuel Garette <egarette@silique.fr>  Wed, 05 Mar 2025 14:16:39 +0100

eole-saltstack (2.10.0-8) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [ec413fb] forcer la version de salt (ref #36414)
  * [0779c75] Merge branch '2.8.1/master' into 2.9.0/master
  * [b0d1c73] Merge branch '2.9.0/master'
  * [8000fac] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a23d18a] Emmanuel Garette: Update package since “debian/eole/2.10.0-7”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 03 Mar 2025 11:41:19 +0100

eole-saltstack (2.10.0-7) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [195d856] Check on required salt release

  [ Emmanuel Garette ]
  * [e1432bc] ne pas 'planter' Maj-Auto si la source est à jour (ref #36414)
  * [d129bf3] Merge branch '2.8.1/master' into 2.9.0/master
  * [7a4942d] Merge branch '2.9.0/master'
  * [9d6aee5] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [a52257a] Emmanuel Garette: Update package since “debian/eole/2.10.0-6”

 -- Emmanuel Garette <egarette@silique.fr>  Tue, 11 Feb 2025 08:46:38 +0100

eole-saltstack (2.10.0-6) eole-2.10-unstable; urgency=low

  [ Joël Cuissinat ]
  * [7bd4d9d] fix(saltstack.list): bump to salt-3007.1-eole.5
  * [ceb61d9] Merge branch '2.8.1/master' into 2.9.0/master
  * [1bcadca] Merge branch '2.9.0/master'
  * [4cd8d26] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [5969a63] Joël Cuissinat: Update package since “debian/eole/2.10.0-5”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Fri, 07 Feb 2025 18:11:06 +0100

eole-saltstack (2.10.0-5) eole-2.10-unstable; urgency=low

  [ Emmanuel Garette ]
  * [fb1f229] mise à jour de saltstack (ref #36414)
  * [b036817] mise à jour de saltstack (ref #36414)
  * [409a316] Merge branch '2.8.1/master' into 2.9.0/master
  * [ffb8815] Merge branch '2.9.0/master'
  * [4227842] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [0eab08a] Emmanuel Garette: Update package since “debian/eole/2.10.0-4”

 -- Emmanuel Garette <egarette@silique.fr>  Fri, 31 Jan 2025 18:43:31 +0100

eole-saltstack (2.10.0-4) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [0bbc5d0] Tornado n’est plus installé dans salt.ext
  * [a923be2] Le décorateur @asynchronous n’est plus disponible.
  * [8ef0eb9] La fonction salt.utils.event.get_event à changé de signature.
  * [0559ac4] Internaliser la fonction du module obsolète cgi.

  [ Daniel Dehennin ]
  * [db8370d] fix(3007.1): upgrade rest_eole to latest upstream

  [ Emmanuel Garette ]
  * [4c474d7] Merge branch '2.8.1/master' into 2.9.0/master
  * [f35b852] Merge branch '2.9.0/master'
  * [15fa9a6] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [19ec583] Emmanuel Garette: Update package since “debian/eole/2.10.0-3”

 -- Emmanuel Garette <egarette@silique.fr>  Mon, 27 Jan 2025 10:06:43 +0100

eole-saltstack (2.10.0-3) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [aa05523] fix(3007.1): upgrade rest_eole to latest upstream
  * [fa94159] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [eb4f55e] Daniel Dehennin: Update package since “debian/eole/2.10.0-2”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 09 Jul 2024 16:39:04 +0200

eole-saltstack (2.10.0-2) eole-2.10-unstable; urgency=low

  [ Benjamin Bohard ]
  * [566540e] Internaliser la fonction du module obsolète cgi.
  * [95590b9] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [98db7ea] Benjamin Bohard: Update package since “debian/eole/2.10.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 14 May 2024 11:00:11 +0200

eole-saltstack (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [46d234c] Prepare release 2.10.0
  * [fb126e6] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [6b2a2de] Dépendances pour l’installation du code python dans /opt.
  * [e0eb14d] Installer la bibliothèque avec pip pour choisir la destination.
  * [56e8fb2] Tornado n’est plus installé dans salt.ext
  * [2d014fa] Le décorateur @asynchronous n’est plus disponible.
  * [28dee46] La fonction salt.utils.event.get_event à changé de signature.
  * [04a4612] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [8ed7347] Benjamin Bohard: Update package since “debian/eole/2.9.0-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 19 Mar 2024 15:34:34 +0100

## eole-saltstack 2.10.0-11

=== Makefile ===
################################
# Makefile pour XXX-XXX
################################

SOURCE=eole-saltstack
VERSION=2.10
EOLE_VERSION=2.10
EOLE_RELEASE=2.10.0
PKGAPPS=non

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-saltstack (2.10.0-11) eole-2.10.0-proposed-updates; urgency=low

  [ Joël Cuissinat ]
  * [1a9414d] feat(saltstack): copy files in containers and upgrade `addc`
  * [d87ae73] Merge branch '2.8.1/master' into 2.9.0/master
  * [4a736bb] Merge branch '2.9.0/master'
  * [5afd040] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [75d37c0] Joël Cuissinat: Update package since “debian/eole/2.10.0-10”

 -- Joël Cuissinat <joel.cuissinat@ac-dijon.fr>  Thu, 28 Aug 2025 17:03:03 +0200

eole-saltstack (2.10.0-10) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [f533d36] feat(saltstack.list): bump to salt-3007.6-eole.1
  * [5c1f0ba] Merge branch '2.8.1/master' into 2.9.0/master
  * [4be2aa0] Merge branch '2.9.0/master'
  * [5e8577c] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [0ee95fc] Daniel Dehennin: Update package since “debian/eole/2.10.0-9”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 26 Aug 2025 14:55:50 +0200

=== debian/control ===
Source: eole-saltstack
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 13), python3-py, python3-all-dev, python3-pip, python3-venv
Standards-Version: 3.8.4
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/<project>
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/<project>/repository

Package: eole-ead3-saltstack
Architecture: all
Depends: eole-common,
         salt-api (>= 3004.1),
         salt-master (>= 3004.1),
         salt-minion (>= 3004.1),
	 python3-m2crypto,
         ${misc:Depends},
         ${python3:Depends}
Provides: eole-saltstack
Conflicts: eole-saltstack
Replaces: eole-saltstack
Description: saltstack's EOLE configuration and integration for EAD3
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start -peole-ead3-saltstack --name=salt-api-ead3
	dh_installsystemd --no-enable --no-start -peole-ead3-saltstack --name=salt-master-ead3
	dh_installsystemd --no-enable --no-start -peole-ead3-saltstack --name=salt-minion-ead3

override_dh_builddeb:
	# Make package compatible with older version
	dh_builddeb -- -Zgzip -Srle

.PHONY: override_dh_installsystemd override_dh_builddeb

## eole-saltstack 2.10.0-12

=== debian/changelog ===
eole-saltstack (2.10.0-12) eole-2.10.0-proposed-updates; urgency=low

  [ Daniel Dehennin ]
  * [3aa65ca] feat(key): add future key for Outils
  * [7242998] Merge branch '2.8.1/master' into 2.9.0/master
  * [ac57789] Merge branch '2.9.0/master'
  * [f5712a8] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [cf582cc] Daniel Dehennin: Update package since “debian/eole/2.10.0-11”

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 24 Nov 2025 16:16:05 +0100
